com.tibbo.aggregate.common.datatable.converter.editor

## Class DateRangeConverter

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.converter.editor.AbstractEditorOptionsConverter
  - - com.tibbo.aggregate.common.datatable.converter.editor.DateRangeConverter

- All Implemented Interfaces:
    EditorOptionsConverter

      public class DateRangeConverter
      extends AbstractEditorOptionsConverter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DATE_FIELD_EDITOR`
    `static TableFormat` | `FORMAT`

    - ### Fields inherited from class com.tibbo.aggregate.common.datatable.converter.editor.AbstractEditorOptionsConverter

      `editors, types`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateRangeConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `convertToString(DataTable options)`
    `TableFormat` | `getFormat()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.converter.editor.AbstractEditorOptionsConverter

      `isSupportingEditor, isSupportingType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DATE_FIELD_EDITOR

          public static final java.lang.String DATE_FIELD_EDITOR

      See Also:
        Constant Field Values

    - #### FORMAT

          public static TableFormat FORMAT

  - ### Constructor Detail

    - #### DateRangeConverter

          public DateRangeConverter()

  - ### Method Detail

    - #### convertToString

          public java.lang.String convertToString(DataTable options)

      Specified by:
        `convertToString` in interface `EditorOptionsConverter`
      Specified by:
        `convertToString` in class `AbstractEditorOptionsConverter`

    - #### getFormat

          public TableFormat getFormat()

      Specified by:
        `getFormat` in interface `EditorOptionsConverter`
      Specified by:
        `getFormat` in class `AbstractEditorOptionsConverter`